Bug 442069 - curl isn't built with GSSAPI Negotiate support
curl isn't built with GSSAPI Negotiate support
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: curl (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-11 11:36 EDT by Rob Crittenden
Modified: 2013-07-02 19:28 EDT (History)
1 user (show)

See Also:
Fixed In Version: 7.17.1-3.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-16 23:56:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob Crittenden 2008-04-11 11:36:11 EDT
curl on F-8 isn't built with GSSAPI Negotiate support. This is a regression from
Fedora 7.

GSSAPI support is enabled in %configure but the lack of libraries causes it to
not get configured. I did a test and added krb5-devel to BuildRequires and that
was enough to get negotiate working in a mock build.

Here is my change:

diff -u -r1.63 curl.spec
--- curl.spec   22 Jan 2008 12:28:04 -0000      1.63
+++ curl.spec   11 Apr 2008 15:35:14 -0000
@@ -18,6 +18,7 @@
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildRequires: libtool, pkgconfig, libidn-devel, zlib-devel
 BuildRequires: nss-devel >= 3.11.7-7
+BuildRequires: krb5-devel
 
 %description
 cURL is a tool for getting files from HTTP, FTP, FILE, LDAP, LDAPS,
Comment 1 Jindrich Novy 2008-04-14 02:25:06 EDT
Applied. Thanks.
Comment 2 Fedora Update System 2008-04-14 06:18:23 EDT
curl-7.17.1-3.fc8 has been submitted as an update for Fedora 8
Comment 3 Fedora Update System 2008-04-16 23:55:59 EDT
curl-7.17.1-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2008-06-19 02:11:53 EDT
curl-7.18.2-1.fc8 has been submitted as an update for Fedora 8
Comment 5 Fedora Update System 2008-06-20 15:11:20 EDT
curl-7.18.2-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.